\addtolength{\cftbeforechapskip}{-1.3ex}
\addtolength{\cftbeforesecskip}{0.02ex}

\let\oldbibliography\thebibliography{}
\renewcommand{\thebibliography}[1]{%
    \oldbibliography{#1}%
    \setlength{\itemsep}{0pt plus 0.3ex}%
}

\setcounter{topnumber}{3}
\setcounter{totalnumber}{4}
\renewcommand{\topfraction}{.8}

\renewcommand{\thefootnote}{\fnsymbol{footnote}}

\hypersetup{unicode,
    pdfauthor={Jakub Kozłowicz},
    pdftitle={Budowa indywidualnie skonfigurowanych systemów wbudowanych w oparciu o Linuksa},
    pdfsubject={Praca dyplomowa inżynierska},
    pdfkeywords={IoT, Linux, Yocto, Home Assistant},
    pdfpagemode=UseOutlines,
    pdfpagelayout=TwoColumnRight,
    pdfstartview={Fit},
    pdfstartpage=1,
    bookmarksopen=true,
    bookmarksopenlevel=1,
    colorlinks=true,
    breaklinks,
    citecolor=cyan,
    filecolor=red,
    linkcolor=blue,
    menucolor=green,
    urlcolor=blue
}

\geometry{
    a4paper,
    top = 25mm,
    left = 25mm,
    headheight = 15mm,
    headsep = 3mm,
    textheight = 24cm,
    textwidth = 16cm,
}

\SetupFloatingEnvironment{listing}{name=Wydruk, listname={Spis wydruków}}
\captionsetup[listing]{position=above,skip=-10pt}
